version: '2.1'
services:
  db:
    image: postgres:9.6
    ports:
      - "5432:5432"
    environment:
      POSTGRES_DB: castmyvotedb
      POSTGRES_USER: root
      POSTGRES_PASSWORD: devpassword
      PGPASSWORD: devpassword
    healthcheck:
      test: ["CMD-SHELL", "pg_isready --dbname castmyvotedb"]
      interval: 10s
      timeout: 30s
  frontend:
    build: ./frontend
    volumes:
      - ./frontend:/usr/frontend
    ports:
      - "80:3000"
  backend:
    build: ./backend
    volumes:
      - ./backend:/usr/backend
    ports:
      - "5000:5000"
    depends_on:
      db:
        condition: service_healthy
